package org.jeecg.modules.ctop.controller;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.modules.ctop.service.IReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("report")
public class ReportController {
    @GetMapping("advertiser")
//    public Map<String, Object> advertiserReport(@RequestBody JSONObject conditions) {
    public Map<String, Object> advertiserReport() {
        JSONObject conditions = new JSONObject();
        return reportService.getAdvertiserReport(conditions);
    }

    @GetMapping("campaign")
    public Map<String, Object> campaignReport(@RequestBody JSONObject conditions) {
        return reportService.getCampaignReport(conditions);
    }

    @GetMapping("ad")
    public Map<String, Object> adReport(@RequestBody JSONObject conditions) {
        return reportService.getAdReport(conditions);
    }

    @GetMapping("creative")
    public Map<String, Object> creativeReport(@RequestBody JSONObject conditions) {
        return reportService.getCreativeReport(conditions);
    }

    @GetMapping("agent")
    public Map<String, Object> agentReport(@RequestBody JSONObject conditions) {
        return reportService.getAgentReport(conditions);
    }


    @Autowired
    private IReportService reportService;
}
