package org.jeecg.modules.ctop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.BindAccountAuth;

import java.io.UnsupportedEncodingException;

/**
 * @Description: 账号绑定-授权
 * @Author: jeecg-boot
 * @Date: 2019-07-31
 * @Version: V1.0
 */
public interface IBindAccountAuthService extends IService<BindAccountAuth> {

    String getKuaishouCodeUrl(String state) throws UnsupportedEncodingException;

    String getByteDanceCodeUrl(String state) throws UnsupportedEncodingException;

    void addBindAccount(Long accountId, String type, String state);
}
